# List Payment Instrument Associations

Retrieve a list of `Payment Instrument Association` resources.

Endpoint: GET /payment_instrument_associations
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `limit` (integer)
    The numbers of items to return.

  - `merchant_id` (string)
    Filter by `Merchant` ID.

  - `payment_instrument_id` (string)
    Filter by `Payment Instrument` ID.

  - `application_id` (string)
    Filter by `Application` ID.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see [Versioning](../../../../additional-resources/developers/authentication-and-api-basics/versioning).

## Response 200:

  - `200` (unknown)
    List of `Instrument Association` resources

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.payment_instrument_associations` (array)

  - `_embedded.payment_instrument_associations.id` (string)
    The ID of the `Payment Instrument Association`.
    Example: instrument_association_9xZ6pUo5fXb7aAB4o3TqkK

  - `_embedded.payment_instrument_associations.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.payment_instrument_associations.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.payment_instrument_associations.application_id` (string)
    The ID of the `Application` the resource was created under.
    Example: APxxx

  - `_embedded.payment_instrument_associations.enabled` (boolean)
    Indicates whether this current `Payment Instrument Association` is enabled.

  - `_embedded.payment_instrument_associations.payment_instrument_id` (string)
    The ID of the `Payment Instrument` whose events will be charged to the specified merchant.
    Example: PIcgYZswyRfqSSbvMsxuaHxZ

  - `_embedded.payment_instrument_associations.merchant_id` (string)
    The ID of the `Merchant` that fees will be applied to.
    Example: MUcgYZswyRfqSSbvMsxuaHxZ

  - `_embedded.payment_instrument_associations.tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `_embedded.payment_instrument_associations._links` (object)

  - `_embedded.payment_instrument_associations._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.payment_instrument_associations._links.self.href` (string)

  - `_links` (object)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 200 headers (application/json):

  - `date` (string)
    A response header indicating the date and time of the API request.
    Example: Tue, 08 Jul 2025 17:38:01 GMT

  - `finix-apiuser-role` (string)
    This response header indicating the role of the user who sent the API request.
    Enum: "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT"

  - `x-request-id` (string)
    This response header provides a unique identifier for the API request.
    Example: 055972f6534f92a896fbb61b11313ebb

## Response 401:

  - `401` (unknown)
    Unauthorized. Authentication is required and has failed or has not been provided.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403:

  - `403` (unknown)
    Forbidden. The client is authenticated but does not have permission to access the resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406:

  - `406` (unknown)
    Not Acceptable. The server could not accept the submitted request. Confirm how the request was formatted and submitted.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 422:

  - `422` (unknown)
    Unprocessable Entity. One or more query parameters were syntactically valid but could not be processed.

## Response 422 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 200 examples:

  - `List of Payment Instrument Associations` (unknown)

## Response 401 examples:

  - `Unauthorized request` (unknown)

## Response 403 examples:

  - `Forbidden request` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

## Response 422 examples:

  - `Invalid query param value` (unknown)

